#### D.15.21.1 sagbiGeneral

Procedure from library `sagbiNormaliz0.lib` (see sagbiNormaliz0_lib).

Usage:
  sagbiGeneral(ideal Q [, int sagbiMaxRounds, int sorting, int verb]));

Return:
  An ideal whose generators form the Sagbi basis of the algebra generated by the polynomials in Q as far as computwed in at most sagbiMaxRounds.

  If sorting is set, the computed elements are degrevlex sorted before a round of the algorithm. The optional parameter verb sets the terminal output. Default is 1 = on.

  The return value has a second integer component. Its possible values are: 0, if the full Sagbi basis has not been reached, 1 if this is unknown, and 2 if the full Sagbi basis has been computed.

Example:

    LIB "sagbiNormaliz0.lib";
    ring R = 0, (x,y,z),dp;
    ideal P = x^6+y^6+z^6, x^7+y^7+z^7;
    ideal Q;
    int success;
    // at most 3 rounds, no sorting, no terminal output
    (Q,success) = sagbiGeneral(P,3,0,0);
    Q;
    ==> Q[1]=x6+y6+z6
    ==> Q[2]=x7+y7+z7
    ==> Q[3]=x36y6-6/7x35y7+3x30y12-15/7x28y14+5x24y18-20/7x21y21+5x18y24-15/7x14\
       y28+3x12y30-6/7x7y35+x6y36+x36z6+6x30y6z6+15x24y12z6+20x18y18z6+15x12y24z\
       6+6x6y30z6+y36z6-6/7x35z7-30/7x28y7z7-60/7x21y14z7-60/7x14y21z7-30/7x7y28\
       z7-6/7y35z7+3x30z12+15x24y6z12+30x18y12z12+30x12y18z12+15x6y24z12+3y30z12\
       -15/7x28z14-60/7x21y7z14-90/7x14y14z14-60/7x7y21z14-15/7y28z14+5x24z18+20\
       x18y6z18+30x12y12z18+20x6y18z18+5y24z18-20/7x21z21-60/7x14y7z21-60/7x7y14\
       z21-20/7y21z21+5x18z24+15x12y6z24+15x6y12z24+5y18z24-15/7x14z28-30/7x7y7z\
       28-15/7y14z28+3x12z30+6x6y6z30+3y12z30-6/7x7z35-6/7y7z35+x6z36+y6z36
    "Note: success = 2 <==> Sagbi basis complete";
    ==> Note: success = 2 <==> Sagbi basis complete
    "success",success;
    ==> success 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.